package pl.afizyka.oknodialogowe

import android.os.Bundle
import android.widget.Button
import android.widget.TextView
import androidx.appcompat.app.AlertDialog
import androidx.appcompat.app.AppCompatActivity


class MainActivity : AppCompatActivity() {
    var licznik=0
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)
        //słuchacz dla przycisku zamknij
        val bt4=findViewById<Button>(R.id.button4)
        bt4.setOnClickListener { Zamknij() }
        //słuchacz dla przycisku klikania
        val bt1=findViewById<Button>(R.id.button1)
        bt1.setOnClickListener {
            licznik=Licznik(licznik)
            //pokaz ilosc klikniec
            val tv=findViewById<TextView>(R.id.textView)
            tv.setText("Licznik kliknięć: "+licznik)
        }
        //słuchacz dla przycisku komunikatu wersja 1
        val bt2=findViewById<Button>(R.id.button2)
        bt2.setOnClickListener {
           KomunikatWersja1(licznik)
        }
        //słuchacz dla przycisku komunikatu wersja 2
        val bt3=findViewById<Button>(R.id.button3)
        bt3.setOnClickListener {
            KomunikatWersja2(licznik)
        }
        //słuchacz dla przycisku zamknij z okna dialogowego
        val bt5=findViewById<Button>(R.id.button5)
        bt5.setOnClickListener {
            KomunikatWersja3()
        }
    }

    private fun Zamknij(){
        this.finish()
        System.exit(0)
    }

    private fun Licznik(i:Int):Int{
        return i+1
    }


    private fun KomunikatWersja1(i:Int){
        val oknoAlertu=AlertDialog.Builder(this)
        oknoAlertu.setTitle("Komunikat wersja 1")
        oknoAlertu.setMessage("Licznik kliknięć: "+i)
        //klikniecie automatycznie zamyka okno dialogowe
        oknoAlertu.setPositiveButton("Zamknij",null)
        oknoAlertu.show()
    }

    private fun KomunikatWersja2(i:Int){
        val oknoAlertu=AlertDialog.Builder(this)
        oknoAlertu.setTitle("Komunikat wersja 2")
        oknoAlertu.setMessage("Licznik kliknięć: "+i)
        //klikniecie automatycznie zamyka okno dialogowe
        //i zwieksza licznik o 1
        oknoAlertu.setPositiveButton("Zamknij i zwiększ licznik"){d,id->
            licznik=Licznik(licznik)
            val tv=findViewById<TextView>(R.id.textView)
            tv.setText("Licznik kliknięć zwiekszono z zamknięcia okna dialogowego: "+licznik)
        }
        oknoAlertu.show()
    }

    private fun KomunikatWersja3(){
        val oknoAlertu=AlertDialog.Builder(this)
        oknoAlertu.setTitle("Komunikat wersja 3")
        oknoAlertu.setMessage("Czy zakończyć aplikację?")
        //klikniecie automatycznie zamyka okno dialogowe
        //i całą aplikację
        oknoAlertu.setPositiveButton("Tak"){d,id->
            Zamknij()
        }
        //klikniecie zamyka tylko okno dialogowe
        oknoAlertu.setNegativeButton("Nie",null)
        oknoAlertu.show()
    }
}